io.vertx.rxjava.ext.web.handler

## Class ResponseTimeHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.ResponseTimeHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class ResponseTimeHandler
      extends Object
      implements Handler<RoutingContext>

  Handler which adds a header `x-response-time` in the response of matching requests containing the time taken in ms to process the request.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseTimeHandler(ResponseTimeHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseTimeHandler` | `create()` Create a handler
    `Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static ResponseTimeHandler` | `newInstance(ResponseTimeHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseTimeHandler

          public ResponseTimeHandler(ResponseTimeHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static ResponseTimeHandler create()

      Create a handler
      Returns:
        the handler

    - #### newInstance

          public static ResponseTimeHandler newInstance(ResponseTimeHandler arg)

Copyright © 2015. All Rights Reserved.